Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTransformToGrid Class Reference

`#include <vtkTransformToGrid.h>`

Inheritance diagram for vtkTransformToGrid:

[legend]
Collaboration diagram for vtkTransformToGrid:

[legend]
List of all members.

## Detailed Description

create a grid for a vtkGridTransform

Date:
  2002/05/13 21:11:07

Revision:
  1.10

vtkTransformToGrid takes any transform as input and produces a grid for use by a vtkGridTransform. This can be used, for example, to invert a grid transform, concatenate two grid transforms, or to convert a thin plate spline transform into a grid transform.

See also:
  vtkGridTransform vtkThinPlateSplineTransform vtkAbstractTransform

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (89%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkTransformToGrid.h)`
  - .`cxx` (`/Hybrid/vtkTransformToGrid.cxx)`

Tests:
  vtkTransformToGrid (Tests)

Definition at line 51 of file vtkTransformToGrid.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkAbstractTransform *)
virtual vtkAbstractTransform * | GetInput ()
virtual void | SetGridExtent (int, int, int, int, int, int)
virtual void | SetGridExtent (int[6])
virtual int * | GetGridExtent ()
virtual void | GetGridExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetGridExtent (int[6])
virtual void | SetGridOrigin (float, float, float)
virtual void | SetGridOrigin (float[3])
virtual float * | GetGridOrigin ()
virtual void | GetGridOrigin (float &, float &, float &)
virtual void | GetGridOrigin (float[3])
virtual void | SetGridSpacing (float, float, float)
virtual void | SetGridSpacing (float[3])
virtual float * | GetGridSpacing ()
virtual void | GetGridSpacing (float &, float &, float &)
virtual void | GetGridSpacing (float[3])
virtual void | SetGridScalarType (int)
virtual int | GetGridScalarType ()
void | SetGridScalarTypeToFloat ()
void | SetGridScalarTypeToShort ()
void | SetGridScalarTypeToUnsignedShort ()
void | SetGridScalarTypeToUnsignedChar ()
void | SetGridScalarTypeToChar ()
float | GetDisplacementScale ()
float | GetDisplacementShift ()
## Static Public Methods
vtkTransformToGrid * | New ()
int | IsTypeOf (const char *type)
vtkTransformToGrid * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTransformToGrid ()
| ~vtkTransformToGrid ()
void | ExecuteInformation ()
void | ExecuteData (vtkDataObject *data)
void | UpdateShiftScale ()
unsigned long | GetMTime ()
## Protected Attributes
vtkAbstractTransform * | Input
int | GridScalarType
int | GridExtent [6]
float | GridOrigin [3]
float | GridSpacing [3]
float | DisplacementScale
float | DisplacementShift
vtkTimeStamp | ShiftScaleTime

## Member Typedef Documentation

typedef vtkImageSource vtkTransformToGrid::Superclass

| Reimplemented from vtkImageSource. Definition at line 55 of file vtkTransformToGrid.h.

## Constructor & Destructor Documentation

vtkTransformToGrid::vtkTransformToGrid | ( |  | ) | `[protected]`

vtkTransformToGrid::~vtkTransformToGrid | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTransformToGrid* vtkTransformToGrid::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkTransformToGrid::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkTransformToGrid::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkTransformToGrid::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkTransformToGrid* vtkTransformToGrid::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkTransformToGrid::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

virtual void vtkTransformToGrid::SetInput | ( | vtkAbstractTransform * |  | ) | `[virtual]`

| Set/Get the transform which will be converted into a grid.

virtual vtkAbstractTransform* vtkTransformToGrid::GetInput | ( |  | ) | `[virtual]`

| Set/Get the transform which will be converted into a grid.

virtual void vtkTransformToGrid::SetGridExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Get/Set the extent of the grid.

virtual void vtkTransformToGrid::SetGridExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the extent of the grid.

virtual int* vtkTransformToGrid::GetGridExtent | ( |  | ) | `[virtual]`

| Get/Set the extent of the grid.

virtual void vtkTransformToGrid::GetGridExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Get/Set the extent of the grid.

virtual void vtkTransformToGrid::GetGridExtent | ( | int | [6] | ) | `[virtual]`

| Get/Set the extent of the grid.

virtual void vtkTransformToGrid::SetGridOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Get/Set the origin of the grid.

virtual void vtkTransformToGrid::SetGridOrigin | ( | float | [3] | ) | `[virtual]`

| Get/Set the origin of the grid.

virtual float* vtkTransformToGrid::GetGridOrigin | ( |  | ) | `[virtual]`

| Get/Set the origin of the grid.

virtual void vtkTransformToGrid::GetGridOrigin | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Get/Set the origin of the grid.

virtual void vtkTransformToGrid::GetGridOrigin | ( | float | [3] | ) | `[virtual]`

| Get/Set the origin of the grid.

virtual void vtkTransformToGrid::SetGridSpacing | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Get/Set the spacing between samples in the grid.

virtual void vtkTransformToGrid::SetGridSpacing | ( | float | [3] | ) | `[virtual]`

| Get/Set the spacing between samples in the grid.

virtual float* vtkTransformToGrid::GetGridSpacing | ( |  | ) | `[virtual]`

| Get/Set the spacing between samples in the grid.

virtual void vtkTransformToGrid::GetGridSpacing | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Get/Set the spacing between samples in the grid.

virtual void vtkTransformToGrid::GetGridSpacing | ( | float | [3] | ) | `[virtual]`

| Get/Set the spacing between samples in the grid.

virtual void vtkTransformToGrid::SetGridScalarType | ( | int |  | ) | `[virtual]`

| Get/Set the scalar type of the grid. The default is float.

virtual int vtkTransformToGrid::GetGridScalarType | ( |  | ) | `[virtual]`

| Get/Set the scalar type of the grid. The default is float.

void vtkTransformToGrid::SetGridScalarTypeToFloat | ( |  | ) | `[inline]`

| Get/Set the scalar type of the grid. The default is float. Definition at line 86 of file vtkTransformToGrid.h. References VTK_FLOAT.

void vtkTransformToGrid::SetGridScalarTypeToShort | ( |  | ) | `[inline]`

| Get/Set the scalar type of the grid. The default is float. Definition at line 87 of file vtkTransformToGrid.h. References VTK_SHORT.

void vtkTransformToGrid::SetGridScalarTypeToUnsignedShort | ( |  | ) | `[inline]`

| Get/Set the scalar type of the grid. The default is float. Definition at line 88 of file vtkTransformToGrid.h. References VTK_UNSIGNED_SHORT.

void vtkTransformToGrid::SetGridScalarTypeToUnsignedChar | ( |  | ) | `[inline]`

| Get/Set the scalar type of the grid. The default is float. Definition at line 90 of file vtkTransformToGrid.h. References VTK_UNSIGNED_CHAR.

void vtkTransformToGrid::SetGridScalarTypeToChar | ( |  | ) | `[inline]`

| Get/Set the scalar type of the grid. The default is float. Definition at line 92 of file vtkTransformToGrid.h. References VTK_CHAR.

float vtkTransformToGrid::GetDisplacementScale | ( |  | ) | `[inline]`

| Get the scale and shift to convert integer grid elements into real values: dx = scale*di + shift. If the grid is of float type, then scale = 1 and shift = 0. Definition at line 100 of file vtkTransformToGrid.h.

float vtkTransformToGrid::GetDisplacementShift | ( |  | ) | `[inline]`

| Get the scale and shift to convert integer grid elements into real values: dx = scale*di + shift. If the grid is of float type, then scale = 1 and shift = 0. Definition at line 102 of file vtkTransformToGrid.h.

void vtkTransformToGrid::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkTransformToGrid::ExecuteData | ( | vtkDataObject * | data | ) | `[protected]`

void vtkTransformToGrid::UpdateShiftScale | ( |  | ) | `[protected]`

| Internal method to calculate the shift and scale values which will provide maximum grid precision for a particular integer type.

unsigned long vtkTransformToGrid::GetMTime | ( |  | ) | `[protected, virtual]`

| Return this object's modified time. Reimplemented from vtkObject.

## Member Data Documentation

vtkAbstractTransform* vtkTransformToGrid::Input`[protected]`

| Definition at line 120 of file vtkTransformToGrid.h.

int vtkTransformToGrid::GridScalarType`[protected]`

| Definition at line 122 of file vtkTransformToGrid.h.

int vtkTransformToGrid::GridExtent[6]`[protected]`

| Definition at line 123 of file vtkTransformToGrid.h.

float vtkTransformToGrid::GridOrigin[3]`[protected]`

| Definition at line 124 of file vtkTransformToGrid.h.

float vtkTransformToGrid::GridSpacing[3]`[protected]`

| Definition at line 125 of file vtkTransformToGrid.h.

float vtkTransformToGrid::DisplacementScale`[protected]`

| Definition at line 127 of file vtkTransformToGrid.h.

float vtkTransformToGrid::DisplacementShift`[protected]`

| Definition at line 128 of file vtkTransformToGrid.h.

vtkTimeStamp vtkTransformToGrid::ShiftScaleTime`[protected]`

| Definition at line 129 of file vtkTransformToGrid.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkTransformToGrid.h